Get a list of medication dispenses
get
/MedicationDispense
Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.
Retrieves a list of medication dispenses that meet the supplied query parameters.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
_revinclude: string
The related Provenance resources to include in the search bundle.Allowed Values:
[ "Provenance:target" ] -
patient: string
The patient who the dispenses are for.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : MedicationDispense
Type:
Show Source
object-
authorizingPrescription: array
authorizingPrescription
(USCDI) The medication order that authorizes the dispense.
-
dosageInstruction: array
dosageInstruction
(USCDI) How the medication is to be used by the patient or administered by the caregiver.
-
id(required): string
-
medicationCodeableConcept(required):
medicationCodeableConcept
(USCDI) What medication was supplied.
-
performer: array
performer
(USCDI) The individual who performed the event.
-
quantity:
quantity
(USCDI) The amount dispensed.
-
resourceType(required): string
Allowed Values:
[ "MedicationDispense" ] -
status(required): string
(USCDI) The following values are supported:
preparationin-progresscancelledon-holdcompletedentered-in-errorstoppeddeclinedunknown
-
subject(required):
subject
(USCDI) Who the dispense is for.
-
type:
type
(USCDI) A trial fill, partial fill, emergency fill, and so on.
-
whenHandedOver: string
(date-time)
(USCDI) When the product was given out or mailed.
Nested Schema : dosageInstruction
Type:
array(USCDI) How the medication is to be used by the patient or administered by the caregiver.
Show Source
Nested Schema : medicationCodeableConcept
(USCDI) What medication was supplied.
Match All
(USCDI) What medication was supplied.
Show Source
Nested Schema : quantity
(USCDI) The amount dispensed.
Match All
(USCDI) The amount dispensed.
Show Source
Nested Schema : subject
(USCDI) Who the dispense is for.
Match All
(USCDI) Who the dispense is for.
Show Source
Nested Schema : type
(USCDI) A trial fill, partial fill, emergency fill, and so on.
Match All
(USCDI) A trial fill, partial fill, emergency fill, and so on.
Show Source
Nested Schema : Dosage
Type:
Show Source
object-
doseAndRate: array
doseAndRate
(USCDI) The amount of medication administered.
-
text: string
(USCDI) The free-text dosage instructions, for example, SIG.
-
timing: object
timing
(USCDI) When the medication should be administered.
Nested Schema : timing
Type:
object(USCDI) When the medication should be administered.
Nested Schema : DosageDoseAndRate
Type:
Show Source
object-
doseQuantity:
doseQuantity
(USCDI) The amount of medication per dose.
Nested Schema : doseQuantity
(USCDI) The amount of medication per dose.
Match All
(USCDI) The amount of medication per dose.
Show Source
Nested Schema : MedicationDispensePerformer
Type:
Show Source
object-
actor(required):
actor
(USCDI) The individual who was performing the dispense.
Nested Schema : actor
(USCDI) The individual who was performing the dispense.
Match All
(USCDI) The individual who was performing the dispense.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ] -
url: string
(uri)
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
Show Source
object-
issue(required): array
issue
-
resourceType(required): string
Allowed Values:
[ "OperationOutcome" ]